BSON_STRNDUP(3)

NAME
bson_strndup - bson_strndup()

SYNOPSIS

char *
bson_strndup (const char *str, size_t n_bytes);

PARAMETERS

•   str: A string to copy.

•   n_bytes: A size_t.

DESCRIPTION

Allocates a new string and copies up to n_bytes from str into it. A trailing \0 is always set.

RETURNS

A newly allocated string that should be freed with bson_free().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc